package br.exemployoutube;

import com.google.android.youtube.player.YouTubeBaseActivity;
import com.google.android.youtube.player.YouTubeInitializationResult;
import com.google.android.youtube.player.YouTubePlayer;
import com.google.android.youtube.player.YouTubePlayer.Provider;
import com.google.android.youtube.player.YouTubePlayerView;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Toast;

public class MainActivity extends YouTubeBaseActivity implements YouTubePlayer.OnInitializedListener {
	private static final String API_KEY = "AIzaSyDveKkSzopPSk7ck4ZDbR9YGBe4Mm35DYY";
	private String ID_VIDEO = "mMZOAbiNuZA";
	private YouTubePlayerView youtube;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		youtube = (YouTubePlayerView) findViewById(R.id.youtube);
		youtube.initialize(API_KEY, this); //
	}


	@Override
	public void onInitializationFailure(Provider provider, YouTubeInitializationResult error) {
		Toast.makeText(this, "onInitializationFailure()", Toast.LENGTH_SHORT).show();
	}


	@Override
	public void onInitializationSuccess(Provider provider, YouTubePlayer player, boolean loadAgain) {
		Log.i("Script", "RAIZ 1");
		if(!loadAgain){
			Log.i("Script", "RAIZ 2");
			player.cueVideo(ID_VIDEO);
		}
	}
	
	
	public void callYoutube(View view){
		Uri uri = Uri.parse("http://www.youtube.com/watch?v=mMZOAbiNuZA");
		uri = Uri.parse("vnd.youtube:"+uri.getQueryParameter("v"));
		
		Intent it = new Intent(Intent.ACTION_VIEW, uri);
		startActivity(it);
	}
}
